apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: tenant-readwrite
rules:
- apiGroups:
  - '*'
  resources:
  - alertmanagers
  - certificaterequests
  - certificaterequests/status
  - certificates
  - certificates/status
  - challenges
  - challenges/status
  - configmaps
  - controllerrevisions
  - cronjobs
  - cronjobs/status
  - daemonsets
  - daemonsets/status
  - deployments
  - deployments/scale
  - deployments/status
  - egressfirewalls
  - endpoints
  - endpointslices
  - flows
  - horizontalpodautoscalers
  - horizontalpodautoscalers/status
  - ingresses
  - ingresses/status
  - ippools
  - issuers
  - issuers/status
  - jaegers
  - jobs
  - jobs/status
  - limitranges
  - networkpolicies
  - orders
  - orders/status
  - outputs
  - persistentvolumeclaims
  - persistentvolumeclaims/status
  - platformproductreleases
  - poddisruptionbudgets
  - poddisruptionbudgets/status
  - podmonitors
  - pods
  - pods/attach
  - pods/binding
  - pods/eviction
  - pods/exec
  - pods/log
  - pods/portforward
  - pods/proxy
  - pods/status
  - podtemplates
  - probes
  - processedtemplates
  - prometheuses
  - prometheusrules
  - replicasets
  - replicasets/scale
  - replicasets/status
  - replicationcontrollers
  - replicationcontrollers/scale
  - replicationcontrollers/status
  - routes
  - routes/status
  - routes/custom-host
  - sealedsecrets
  - sealedsecrets/status
  - secrets
  - serviceaccounts
  - serviceaccounts/token
  - servicemonitors
  - services
  - services/proxy
  - services/status
  - statefulsets
  - statefulsets/scale
  - statefulsets/status
  - templateinstances
  - templateinstances/status
  - templates
  - volumesnapshots
  - volumesnapshots/status
  verbs:
  - get
  - list
  - watch
  - create
  - update
  - patch
  - delete
- apiGroups:
  - rbac.authorization.k8s.io
  resources:
  - roles
  - rolebindings
  verbs:
  - get
  - list
  - watch
  - create
  - update
  - patch
  - delete
  - bind
- apiGroups:
  - '*'
  resources:
  - consoleclidownloads
  - consoleclidownloads/status
  - events
  - localresourceaccessreviews
  - localsubjectaccessreviews
  - apiservices/status
  - namespaces
  - namespaces/finalize
  - namespaces/status
  - podsecuritypolicyreviews
  - podsecuritypolicyselfsubjectreviews
  - podsecuritypolicysubjectreviews
  - projects
  - projects/status
  - resourcequotas
  - resourcequotas/status
  - rolebindingrestrictions
  - selfsubjectaccessreviews
  - selfsubjectrulesreviews
  - subjectaccessreviews
  - subjectrulesreviews
  - volumesnapshotclasses
  verbs:
  - get
  - list
  - watch
